BasemapGallery widget error in Edge

165
4
06-17-2020 10:11 AM
AdamCrateau
New Contributor III

We have an application that is running on version 4.9 of the API.  It utilizes the BasemapGallery widget, which includes a WMTS service hosted by EagleView/Pictometry.

The application will not load in Edge following Microsoft's recent major update, and it gives the following error in the console. Is anyone else experiencing this issue and if so, is there a workaround?

  1. HTTP503: SERVICE UNAVAILABLE - The service is temporarily overloaded. GET - https://js.arcgis.com/4.9/esri/widgets/BasemapGallery/support/LocalBasemapsSource.js
  2. Error: scriptError
  3. src: dojoLoader
  4. info: https://js.arcgis.com/4.9/esri/widgets/BasemapGallery/support/LocalBasemapsSource.js,[object Event]
0 Kudos
4 Replies
Noah-Sager
Esri Regular Contributor

Have you tried with a more recent version of the JS API? The current version is 4.15, it should work better.

WMTS Layer sample (4.15)

ArcGIS API for JavaScript Sandbox 

Basemap Gallery Widget sample (4.15)

ArcGIS API for JavaScript Sandbox 

0 Kudos
AdamCrateau
New Contributor III

It's on the to-do list to upgrade the app to 4.15, which will involve a large effort to cover the breaking changes.

0 Kudos
Noah-Sager
Esri Regular Contributor

Understandable. I think it would be worth testing out first in a simple 4.15 sample, but perhaps someone else from the Community has more experience with this specific issue at 4.9.

0 Kudos
AdamCrateau
New Contributor III

Thanks Noah, good thought;  I'll see if I can plug in our imagery service using the sandbox you provided.